Package org.jfree.layouting.layouter.context

## Interface LayoutStyle

- All Known Subinterfaces:
    `LayoutContext`
  All Known Implementing Classes:
    `DefaultLayoutContext`, `LayoutStyleImpl`

      public interface LayoutStyle

  Creation-Date: 18.11.2006, 18:55:03
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `copyFrom​(LayoutStyle style)` |
    `CSSValue` | `getValue​(StyleKey key)` |
    `void` | `setValue​(StyleKey key, CSSValue value)` |

- - ### Method Detail

    - #### getValue

          CSSValue getValue​(StyleKey key)

    - #### setValue

          void setValue​(StyleKey key,
                        CSSValue value)

    - #### copyFrom

          boolean copyFrom​(LayoutStyle style)